var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { h } from '@stencil/core';
import { VegaSkeletonRendererBase } from './vega-skeleton-renderer-base.abstract';
import { MapToComponentField } from 'vega-slimmer/core';
import { parseToPixelString } from '../../../../utils/pixel';
/**
 * Full width paragraph Skeleton renderer
 */
export class VegaSkeletonFullWidthParagraphRenderer extends VegaSkeletonRendererBase {
  assignHostStyle() {
    const { width = '100%' } = this;
    const widthWithUnit = parseToPixelString(width);
    return { width: widthWithUnit };
  }
  renderChildren() {
    return (h("vega-flex", { gap: "size-16", direction: "col" },
      h("div", { class: "vega-skeleton-text full-width" }),
      h("div", { class: "vega-skeleton-text full-width" }),
      h("div", { class: "vega-skeleton-text full-width" })));
  }
}
__decorate([
  MapToComponentField()
], VegaSkeletonFullWidthParagraphRenderer.prototype, "width", void 0);
